VST 3 Interfaces: IVst3WrapperMPESupport Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IVst3WrapperMPESupport Class Referenceabstract

Wrapper MPE Support interface: Vst::IVst3WrapperMPESupport. More...

`#include <ivsthostapplication.h>`

Inheritance diagram for IVst3WrapperMPESupport:

## Public Member Functions
virtual tresult | enableMPEInputProcessing (TBool state)=0
| enable or disable MPE processing
virtual tresult | setMPEInputDeviceSettings (int32 masterChannel, int32 memberBeginChannel, int32 memberEndChannel)=0
| setup the MPE processing
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Wrapper MPE Support interface: Vst::IVst3WrapperMPESupport.

- [host imp]
- [passed as 'context' to IPluginBase::initialize () ]
- [released: 3.6.12]
- [optional]

Implemented on wrappers that support MPE to Note Expression translation.

By default, MPE input processing is enabled, the masterChannel will be zero, the memberBeginChannel will be one and the memberEndChannel will be 14.

As MPE is a subset of the VST3 Note Expression feature, mapping from the three MPE expressions is handled via the INoteExpressionPhysicalUIMapping interface.

## Member Function Documentation

## ◆ enableMPEInputProcessing()

virtual tresult enableMPEInputProcessing | ( | TBool | state | ) |
| pure virtual

enable or disable MPE processing

Parameters

  state | true to enable, false to disable MPE processing

Returns
  kResultTrue on success

## ◆ setMPEInputDeviceSettings()

virtual tresult setMPEInputDeviceSettings | ( | int32 | masterChannel,
|  | int32 | memberBeginChannel,
|  | int32 | memberEndChannel )
| pure virtual

setup the MPE processing

Parameters

  masterChannel | MPE master channel (zero based)
  memberBeginChannel | MPE member begin channel (zero based)
  memberEndChannel | MPE member end channel (zero based)

Returns
  kResultTrue on success

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.